Bug 191396 - Vacation is broken
Vacation is broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-11 12:22 EDT by Robert Thomas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 06:11:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Thomas 2006-05-11 12:22:18 EDT
Description of problem:

Apparently vacation is not included in the sendmail rpm. Compiling from source
shows that there is an ldap error that prevents the compilation. As a result I
have seen a number of inquiries about vacation and if you compile it from
sendmail.org's site, you will get a database format error.

maillog:
May 11 08:11:43 gate sendmail[32229]: k4BCBZGm032227: to="|/usr/bin/vacation
user", ctladdr=<user@domain.org> (513/100), delay=00:00:08, xdelay=00:00:00,
mailer=prog, pri=100123, dsn=5.6.0, stat=Data format error

rpmbuild -ba SPECS/sendmail.spec
...bla bla bla...
/usr/src/redhat/BUILD/sendmail-8.13.5/obj.Linux.2.6.16-1.2096_FC5smp.i686/libsm/libsm.a(errstring.o):
In function `sm_errstring':
/usr/src/redhat/BUILD/sendmail-8.13.5/obj.Linux.2.6.16-1.2096_FC5smp.i686/libsm/errstring.c:271:
undefined reference to `ldap_err2string'


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:


To correct the Makefile build problem, get rid of the line:
 bldPUSH_LIB(`-lldap')
in vacation/Makefile.m4.
Comment 1 Thomas Woerner 2006-07-19 06:11:46 EDT
Fixed in rawhide in sendmail-8.13.7-3, fc-4-updates in sendmail-8.13.7-2.fc4.1
and fc-5-updates in sendmail-8.13.7-2.fc5.1.

Note You need to log in before you can comment on or make changes to this bug.